.custom-checkbox {
    display: flex;
    justify-content: flex-start;
    row-gap: 10px;
    align-items: center;
    cursor: pointer;

    .check-box {
        position: relative;
        width: 18px;
        height: 18px;
        border: 1px solid #DFDAFF;
        border-radius: 6px;
        appearance: none;
        outline: 0;
        cursor: pointer;
    }

    &.checked {
        .check-box {
            color: #FFFFFF;
            border-color: #7C68EE;
            background-color: #7C68EE;

            &::before {
                position: absolute;
                content: '';
                display: block;
                top: 0;
                left: 5px;
                width: 6px;
                height: 12px;
                border-style: solid;
                border-color: #FFFFFF;
                border-width: 0 2px 2px 0;
                transform: rotate(45deg);
            }
        }
    }

    &.indeterminate {
        .check-box {
            color: #FFFFFF;
            background-color: #7C68EE;
            border-color: #7C68EE;
            border: none;

            &:before {
                content: "–";
                height: 16px;
                width: 18px;
                display: flex;
                align-items: center;
                justify-content: center;
                font-size: 20px;
                font-weight: bold;
            }
        }
    }

    &.disabled {
        cursor: not-allowed;

        .check-box {
            border: 2px solid #D9D9D9;
            cursor: not-allowed;
        }

        .label-name {
            cursor: not-allowed;
            color: #D9D9D9;
        }
    }

    .label-name {
        margin-left: 6px;
        font-weight: 700;
        font-size: 14px;
        line-height: 20px;
        color: #202226;

        .child-sub-title {
            text-transform: capitalize !important;
        }
    }
}

.premium-only-icon {
    margin-left: 6px;

    svg {
        display: block;
        width: 23px;
        height: 23px;
    }
}

.tooltip-premium {
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: #FFFFFF;
    background: #1E193D !important;
    border-radius: 4px !important;
    box-shadow: none !important;
    width: 220px;

    &::after {
        border-bottom-color: #1E193D !important;
    }
}